Bug 1011098 - [abrt] claws-mail-3.9.2-7.fc19: g_malloc0: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.2-7.fc19: g_malloc0: Process /usr/bin/claws-mail was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:c0c27f7630be17c16c2f4b56c02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 11:40 EDT by Lars Schotte
Modified: 2015-01-05 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 19:49:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.54 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: core_backtrace (15.45 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: dso_list (16.38 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: environ (1.21 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: maps (76.59 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: open_fds (1.44 KB, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details
File: var_log_messages (307 bytes, text/plain)
2013-09-23 11:40 EDT, Lars Schotte
no flags Details

  None (edit)
Description Lars Schotte 2013-09-23 11:40:18 EDT
Description of problem:
so ... i turned my wlan card off, because i did not want to wait until it comes up again, after i willingly reloaded a configuration on my router for prooving that my openwrt bug report is reproducable and so i connected with a cable and there my IPv6 address could have changed, because the wlan and eth mac addresses are different (which he uses to compile ipv6 global addresses).

it also came up to my mind that such things also happen when someone is using privacy extensions for ipv6 (i do not). so this crash could have occured to such configuration as well.

i clicked on the INBOX while supposedly the old TCP IMAP connection was still active.

Version-Release number of selected component:
claws-mail-3.9.2-7.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        claws-mail
crash_function: g_malloc0
executable:     /usr/bin/claws-mail
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_malloc0 at gmem.c:189
 #3 imap_session_new at imap.c:1161
 #4 imap_session_get at imap.c:1013
 #5 imap_change_flags at imap.c:4811
 #6 folder_item_change_msg_flags at folder.c:3882
 #7 procmsg_msginfo_unset_flags at procmsg.c:2057
 #8 msginfo_mark_as_read at summaryview.c:3523
 #9 summary_display_msg_full at summaryview.c:3631
 #10 summary_display_msg at summaryview.c:3421
 #11 summary_selected at summaryview.c:7014
Comment 1 Lars Schotte 2013-09-23 11:40:23 EDT
Created attachment 801730 [details]
File: backtrace
Comment 2 Lars Schotte 2013-09-23 11:40:26 EDT
Created attachment 801731 [details]
File: cgroup
Comment 3 Lars Schotte 2013-09-23 11:40:30 EDT
Created attachment 801732 [details]
File: core_backtrace
Comment 4 Lars Schotte 2013-09-23 11:40:34 EDT
Created attachment 801733 [details]
File: dso_list
Comment 5 Lars Schotte 2013-09-23 11:40:37 EDT
Created attachment 801734 [details]
File: environ
Comment 6 Lars Schotte 2013-09-23 11:40:40 EDT
Created attachment 801735 [details]
File: exploitable
Comment 7 Lars Schotte 2013-09-23 11:40:43 EDT
Created attachment 801736 [details]
File: limits
Comment 8 Lars Schotte 2013-09-23 11:40:47 EDT
Created attachment 801737 [details]
File: maps
Comment 9 Lars Schotte 2013-09-23 11:40:51 EDT
Created attachment 801738 [details]
File: open_fds
Comment 10 Lars Schotte 2013-09-23 11:40:54 EDT
Created attachment 801740 [details]
File: proc_pid_status
Comment 11 Lars Schotte 2013-09-23 11:40:57 EDT
Created attachment 801741 [details]
File: var_log_messages
Comment 12 Michael Schwendt 2013-09-23 11:48:39 EDT
> i clicked on the INBOX while supposedly the old TCP IMAP connection
> was still active.

That's still a "don't do that" for Claws Mail. Interrupting a network connection while IMAP is still being used can lead to various crashes (not limited to 
bug 569478 and its upstream ticket). Better quit and restart Claws Mail to avoid such a crash.
Comment 13 Michael Schwendt 2014-05-01 10:46:54 EDT
Recently, there have been several bug-fixes upstream that will stop some of the side-effects, such as crashes when interrupting networking/IMAP session.


This will need retesting once a new version of Claws Mail (or a Test Update) will be available.
Comment 14 Fedora Update System 2014-05-26 17:17:08 EDT
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20
Comment 15 Fedora Update System 2014-05-26 17:17:42 EDT
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
Comment 16 Fedora Update System 2014-05-27 22:55:58 EDT
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-05-30 19:49:01 EDT
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-11-02 12:51:31 EST
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19
Comment 19 Fedora Update System 2014-11-02 12:52:11 EST
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20
Comment 20 Fedora Update System 2014-11-02 12:54:51 EST
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21
Comment 21 Fedora Update System 2014-11-10 01:29:57 EST
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2014-11-10 01:33:43 EST
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-01-05 02:36:04 EST
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.